<?php


use CurrencyExchangerService\ConvertRequest;
use CurrencyExchangerService\ConvertServiceClient;

class CurrencyConverterClient
{
    public static function convert($amount, $from, $to):\CurrencyExchangerService\ConvertResponse
    {
        $client = new ConvertServiceClient('localhost:50051', [
            'credentials' => \Grpc\ChannelCredentials::createInsecure(),
        ]);
        list($data,$status) = $client->Convert(new ConvertRequest([
            'amount' => $amount,
            'fromCurrency' => $from,
            'toCurrency' => $to
        ]))->wait();

        return $data;
    }
}